## gate.annotation
Class AnnotationDiff.DiffSetElement

    java.lang.Object
      |
      +--gate.annotation.AnnotationDiff.DiffSetElement

Enclosing class:
  AnnotationDiff

protected class AnnotationDiff.DiffSetElement
extends Object

This class is used for internal purposes. It represents a row from the table.

Field Summary
`private Annotation` `leftAnnotation` This field represent a key annotation
`private int` `leftType` Default initialization of the key type
`private Annotation` `rightAnnotation` This field represent a response annotation
`private int` `rightType` Default initialization of the response type

Constructor Summary
`AnnotationDiff.DiffSetElement()` Constructor for DiffSetlement
`AnnotationDiff.DiffSetElement(Annotation aLeftAnnotation, Annotation aRightAnnotation, int aLeftType, int aRightType)` Constructor for DiffSetlement

Method Summary
`Annotation` `getLeftAnnotation()` Gets the left annotation
`int` `getLeftType()` Get the left type
`Annotation` `getRightAnnotation()` Gets the right annotation
`int` `getRightType()` Get the right type
`void` `setLeftAnnotation(Annotation aLeftAnnotation)` Sets the left annotation
`void` `setLeftType(int aLeftType)` Sets the left type
`void` `setRightAnnotation(Annotation aRightAnnotation)` Sets the right annotation
`void` `setRightType(int aRightType)` Sets the right type

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### leftAnnotation

    private Annotation leftAnnotation

  This field represent a key annotation

### rightAnnotation

    private Annotation rightAnnotation

  This field represent a response annotation

### leftType

    private int leftType

  Default initialization of the key type

### rightType

    private int rightType

  Default initialization of the response type

Constructor Detail

### AnnotationDiff.DiffSetElement

    public AnnotationDiff.DiffSetElement()

  Constructor for DiffSetlement

### AnnotationDiff.DiffSetElement

    public AnnotationDiff.DiffSetElement(Annotation aLeftAnnotation,
                                         Annotation aRightAnnotation,
                                         int aLeftType,
                                         int aRightType)

  Constructor for DiffSetlement

Method Detail

### setLeftAnnotation

    public void setLeftAnnotation(Annotation aLeftAnnotation)

  Sets the left annotation

### getLeftAnnotation

    public Annotation getLeftAnnotation()

  Gets the left annotation

### setRightAnnotation

    public void setRightAnnotation(Annotation aRightAnnotation)

  Sets the right annotation

### getRightAnnotation

    public Annotation getRightAnnotation()

  Gets the right annotation

### setLeftType

    public void setLeftType(int aLeftType)

  Sets the left type

### getLeftType

    public int getLeftType()

  Get the left type

### setRightType

    public void setRightType(int aRightType)

  Sets the right type

### getRightType

    public int getRightType()

  Get the right type